CREATE TABLE VIRI (
ID_VIRA NUMBER NOT NULL,
VRSTA VARCHAR2(10 CHAR) NOT NULL,
SIFRA VARCHAR2(10 CHAR),
OPIS VARCHAR2(100 CHAR) NOT NULL,
INTERNI_OPIS VARCHAR2(100 CHAR),
AKT VARCHAR2(1 CHAR) DEFAULT 'Y' NOT NULL,
constraint PK_VIRI primary key (ID_VIRA));

CREATE SEQUENCE ID_VIRA START WITH 1 INCREMENT BY 1;

ALTER TABLE SERVIS_VIRI
  ADD ID_VIRA NUMBER;

ALTER TABLE SERVIS_PLAN
  ADD ID_VIRA NUMBER;

ALTER TABLE SERVIS_VIRI 
ADD CONSTRAINT FK_SV_VIRI_VIRI FOREIGN KEY (ID_VIRA)
REFERENCES VIRI (ID_VIRA);

ALTER TABLE SERVIS_PLAN 
ADD CONSTRAINT FK_SV_PLAN_VIRI FOREIGN KEY (ID_VIRA)
REFERENCES VIRI (ID_VIRA);

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) values 
('VIRI','VRSTA','VIRI_VRSTE','SIFRA','S','OPIS','S');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('VIRI', 'AKT', 'Y', 'YES', 'YES', 'Y', 'YES');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('VIRI', 'AKT', 'N', 'NO', 'NO', 'Y', 'NO');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (303, SYSDATE, '5.5', 223, 'VIRI');