CREATE TABLE NNLOCATION_USERS (
ID_LOCATION_USERS NUMBER NOT NULL,
NNLOCATION_ID NUMBER NOT NULL,
NUSER VARCHAR2(20 CHAR) NOT NULL,
CONSTRAINT NNLOCATION_USERS_PK PRIMARY KEY (ID_LOCATION_USERS)
)
;

CREATE SEQUENCE NNLOCATION_USERS_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_NNLOCATION AS 
SELECT NU.NUSER, L.ID, L.OPIS, L.AKT, L.DOLZINA, L.SIRINA, L.BARVA, L.SVG_OBLIKA_TOP, 
L.ID_SVG_DATA, L.NNFIRMA_ID
FROM NNLOCATION_USERS NU
JOIN NNLOCATION L ON NU.NNLOCATION_ID=L.ID
WHERE L.AKT='Y' OR L.AKT IS NULL
;

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) 
values 
('NNLOCATION_USERS','NNLOCATION_ID','NNLOCATION','ID','I','OPIS','S');

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) 
values 
('NNLOCATION_USERS','NUSER','NUSER','NUSER','S','USER_','S');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (783, SYSDATE, '5.5', 703, 'Pravice lokacije uporabniki');