ALTER TABLE NCARD
ADD NCARD_TYPE NUMBER;

ALTER TABLE NCARD
ADD "COMMENT" VARCHAR2(500 CHAR);

ALTER TABLE NCARD
ADD STATUS NUMBER;

CREATE TABLE NCARD_TYPE (
	ID NUMBER NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	ACT VARCHAR2 (1 CHAR),
	CONSTRAINT NCARD_TYPE_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE NCARD_TYPE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 100 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_NCARD AS (
SELECT N.NCARD, N.ID_LASTNIKA, N.ID_PLOVILA, N.VELJA_OD, N.VELJA_DO, N.SERIALNUMBER, N.NCARD_TYPE, N."COMMENT", N.STATUS,
NCT.OPIS AS NCARD_TYPE_OPIS, NCT.INTERNI_OPIS AS NCARD_TYPE_INTERNI_OPIS
FROM NCARD N
LEFT OUTER JOIN NCARD_TYPE NCT ON NCT.ID = N.NCARD_TYPE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (926, SYSDATE, '5.5', 846, 'Cards');
