CREATE OR REPLACE VIEW V_KNJIZBE
AS (
SELECT KN.CTRL, KN.IDMASTER, KN.PARTNER, KN.KONTO, KN.STRAN, KN.BZNESEK, KN.DZNESEK, KN.BZNESEKSIT, KN.DZNESEKSIT, KN.ID_SALDKONT, KN.TIPKNJ, KN.DATUMK, KN.DATUMV, KN.TEKST,
KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, SF.CTRL AS SIFKONT_CTRL, SF.OZNAKA AS SIFKONT_OZNAKA, SF.NAZIV AS SIFKONT_NAZIV, SF.DELOVNA_GRUPA AS SIFKONT_DELOVNA_GRUPA
FROM KNJIZBE KN
LEFT OUTER JOIN KUPCI KU ON KU.ID = KN.PARTNER
LEFT OUTER JOIN SIFKONT SF ON SF.CTRL = KN.KONTO
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (985, SYSDATE, '5.5', 905, 'VKnjizbe');