CREATE TABLE NOTES (
ID_NOTES NUMBER NOT NULL,
TABLENAME VARCHAR2(200 CHAR) NOT NULL,
ID_MASTER NUMBER NOT NULL,
USER_CREATE VARCHAR2(50 CHAR),
DATE_CREATE DATE,
NOTE VARCHAR2(2500 CHAR),
ACTIVE VARCHAR2(1 CHAR) DEFAULT 'Y',
CONSTRAINT PK_NOTES PRIMARY KEY(ID_NOTES)
)
;

CREATE SEQUENCE NOTES_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

DROP VIEW V_NOTES;

CREATE OR REPLACE VIEW V_NOTES AS (
SELECT N.ID_NOTES, N.TABLENAME, N.ID_MASTER, N.DATE_CREATE, N.USER_CREATE, N.NOTE, N.ACTIVE
FROM NOTES N
);


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1461, SYSDATE, '5.5', 1381, 'Notes')
;