INSERT INTO NNEMAIL_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('RCE', 'Portal reservation checkin', 'Portal reservation checkin', 'Y');

INSERT INTO NNSMS_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('RCE', 'Portal reservation checkin', 'Portal reservation checkin', 'Y');

INSERT INTO NNTOPIC(SIFRA, OPIS, INTERNI_OPIS) VALUES ('RCE', 'Portal reservation checkin', 'Portal reservation checkin');

INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE, PRIORITY) VALUES 
('RESERVATION_PORTAL_CHECKIN', 'Portal reservation checkin', 'Portal reservation checkin', 'Y', 3);

INSERT INTO NNWEB_PAGE_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('RCE', 'Portal reservation checkin success', 'Portal reservation checkin success', 'Y');

INSERT INTO NNWEB_PAGE_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('RCO', 'Portal reservation checkout success', 'Portal reservation checkout success', 'Y');

ALTER TABLE NNOBJEKT
ADD REZERVAC_MIN_DURATION NUMBER;

ALTER TABLE REZERVAC
ADD ID_HASH VARCHAR2(50 CHAR);

UPDATE REZERVAC R
SET R.ID_HASH = ORA_HASH (R.ID || SYSTIMESTAMP || SYS_GUID ())
WHERE R.ID_HASH IS NULL;

UPDATE REZERVAC R
SET R.ID_HASH = (CASE WHEN LENGTH(R.ID_HASH) < 50 THEN LPAD(R.ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(R.ID_HASH) END)       
WHERE LENGTH(R.ID_HASH) < 50;

CREATE OR REPLACE
TRIGGER REZERVAC_ID_HASH_TRG
BEFORE INSERT OR UPDATE
ON REZERVAC
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
   ID_HASH VARCHAR2(50);;
BEGIN
	IF (:NEW.ID_HASH IS NULL) THEN
      SELECT ORA_HASH (:NEW.ID || SYSTIMESTAMP || SYS_GUID ()) INTO ID_HASH FROM DUAL;;
      :NEW.ID_HASH := (CASE WHEN LENGTH(ID_HASH) < 50 THEN LPAD(ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(ID_HASH) END);;
	END IF;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1651, SYSDATE, '5.5', 1571, 'Hourly reservations')
;