CREATE TABLE NNLOCATION (
	ID NUMBER NOT NULL,
	SIFRA VARCHAR2(100 CHAR) NOT NULL,
	OPIS VARCHAR2(200 CHAR),
	INTERNI_OPIS VARCHAR2(200 CHAR),
	AKT VARCHAR2 (1 CHAR),
	DOLZINA NUMBER,
	SIRINA NUMBER,
	BARVA VARCHAR2(20 CHAR), 
	SVG_OBLIKA_TOP VARCHAR2(2000 CHAR),
	SVG_ID VARCHAR2(100 CHAR),
	CONSTRAINT NNLOCATION_PK PRIMARY KEY (ID) ENABLE
);

CREATE SEQUENCE NNLOCATION_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE NNLOCATION_SVG (
	ID NUMBER NOT NULL,
	NNLOCATION VARCHAR2(100 CHAR) NOT NULL, 
	TRANS_X NUMBER, 
	TRANS_Y NUMBER, 
	ROT_DEGREES NUMBER, 
	SIRINA NUMBER, 
	DOLZINA NUMBER, 
	CONSTRAINT NNLOCATION_SVG_PK PRIMARY KEY (ID) ENABLE 
);

CREATE SEQUENCE NNLOCATION_SVG_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

UPDATE FILE_DATA
SET FILE_ID = NAME
WHERE FILE_ID IS NULL;

CREATE TABLE NNLOCATION_SVG_DOC (
	ID NUMBER NOT NULL,
	NNLOCATION_ID NUMBER,
	DATA BLOB,
	TYPE VARCHAR2(3 CHAR),
	CONSTRAINT NNLOCATION_SVG_DOC_PK PRIMARY KEY (ID) ENABLE
);

CREATE SEQUENCE NNLOCATION_SVG_DOC_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE NNLOCATION_SVG_DOC_TYPE (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNLOCATION_SVG_DOC_TYPE_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNLOCATION_SVG_DOC_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('COM', 'PC', 'PC', 'Y');

INSERT INTO NNLOCATION_SVG_DOC_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('TAB', 'Tablet', 'Tablet', 'Y');

INSERT INTO NNLOCATION_SVG_DOC_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('SMA', 'Smartphone', 'Smartphone', 'Y');

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(581, SYSDATE, '5.5', 501, 'Marina lokacije');